Subject: df output for current directory is "odd"
From: Bob McGowan <[email-masked]>
To: Cygwin <[email-masked]>
Date: Thu, 11 Apr 2024 10:33:40 -0700

I have several mounts from various locations on a single drive:

$ mount
Device              Directory           Type         Flags
c:\Program Files\Microsoft Visual Studio\VC98\include  /ms/vc98/include    system       binmode
c:\Program Files\jdk1.3  /usr/java           system       binmode
d:\debian-potato    /usr/cd-image/debian-potato  system       binmode
\\megami\homes      /usr/bob/megami     system       binmode
d:\cygwin-xwin      /usr/cygwin-xwin    system       binmode
c:\cygwin\bin       /usr/bin            system       binmode
c:\cygwin\lib       /usr/lib            system       binmode
c:\usr\bob          /usr/bob            system       binmode
c:\cygwin           /                   system       binmode
\\.\a:              /dev/fd0            system       binmode
a:                  /mnt/floppy         system       binmode
e:                  /mnt/cdrom          system       binmode

When I'm in my home directory and do a 'df .' to get info for the current directory, df reports the "wrong" mount point:

$ pwd;df .
/usr/bob/src/c
Filesystem         1024-blocks  Used Available Capacity Mounted on
c:\Program Files\Microsoft Visual Studio\VC98\include
                     4184900 4113179    71721     98%   /ms/vc98/include

The reported mount point is the first one in the 'mount' output relating to this disk device (C:).  This is "correct" in that the numbers are the same, incorrect based on
the current path.  And somewhat confusing.

Is this a known issue?  I tried searching the archives and could not find anything relating to it, so far as I could tell.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]